• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 623
  • Last Modified:

mediawiki upgrade on ubuntu lucid

Hi, have installed a ubuntu lucid with apache2 and php5.

Scripts run fine thru apache2...

however, I've got an old mediawiki with loads of info and need to upgrade.

According to the manual, you're supposed to run a update.php in the maintenance folder from the command line...

but I can't find php anywhere.

do a whereis php5, and it says ...


php5: /etc/php5 /usr/lib/php5 /usr/lib64/php5 /usr/include/php5 /usr/share/php5


do the same for php and nothing is found.

Question is how to run the update.php and upgrade the mediawiki?
0
binele
Asked:
binele
1 Solution
 
rh387Commented:
Do a "sudo apt-get update" and a "sudo apt-get install php5-cli" from command line.  This should install the command line php command.
0
 
TobiasHolmCommented:
Hi!

You need PHP 5.0.x or later. Follow this guide: http://www.mediawiki.org/wiki/Manual:Upgrading

Regards, Tobias
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Get expert help—faster!

Need expert help—fast? Use the Help Bell for personalized assistance getting answers to your important questions.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now